#!/bin/bash

: ${PROXY_BASE_IMAGE:=debian:buster}


get_latest() {
	docker run --rm ${PROXY_BASE_IMAGE} \
		sh -c 'apt-get update >/dev/null && apt-cache show nginx' |
	sed -n '1,/Version:/ s/Version: //p'
}

get_version() {
	echo "${CI_COMMIT_SHORT_SHA}"
}

build() {
	docker_build \
		--build-arg base_image="${PROXY_BASE_IMAGE}" \
		--build-arg upstream_version="${UPSTREAM_VERSION}" \
		--tag $1
}
